[build-dependencies]
system-deps = "6"

[dependencies]
libc = "0.2"

[dependencies.glib]
package = "glib-sys"
git = "https://github.com/gtk-rs/gtk-rs-core"

[dependencies.gobject]
package = "gobject-sys"
git = "https://github.com/gtk-rs/gtk-rs-core"

[dev-dependencies]
shell-words = "1.0.0"
tempfile = "3"

[features]
v1_16 = []
v1_18 = ["v1_16"]
v1_18_3 = ["v1_18"]
v1_20 = ["v1_18_3"]
v1_20_4 = ["v1_20"]
v1_22 = ["v1_20_4"]
v1_24 = ["v1_22"]

[lib]
name = "gstreamer_sys"

[package]
authors = ["Sebastian Dröge <sebastian@centricular.com>"]
build = "build.rs"
description = "FFI bindings to libgstreamer-1.0"
documentation = "https://gstreamer.pages.freedesktop.org/gstreamer-rs/stable/latest/docs/gstreamer_sys/"
homepage = "https://gstreamer.freedesktop.org"
keywords = ["ffi", "gstreamer", "gnome", "multimedia"]
license = "MIT"
name = "gstreamer-sys"
readme = "README.md"
repository = "https://gitlab.freedesktop.org/gstreamer/gstreamer-rs"
version = "0.21.0"
edition = "2021"
rust-version = "1.66"

[package.metadata.docs.rs]
features = []

[package.metadata.system-deps.gstreamer_1_0]
name = "gstreamer-1.0"
version = "1.14"

[package.metadata.system-deps.gstreamer_1_0.v1_16]
version = "1.16"

[package.metadata.system-deps.gstreamer_1_0.v1_18]
version = "1.18"

[package.metadata.system-deps.gstreamer_1_0.v1_18_3]
version = "1.18.3"

[package.metadata.system-deps.gstreamer_1_0.v1_20]
version = "1.20"

[package.metadata.system-deps.gstreamer_1_0.v1_22]
version = "1.22"

[package.metadata.system-deps.gstreamer_1_0.v1_20_4]
version = "1.20.4"

[package.metadata.system-deps.gstreamer_1_0.v1_24]
version = "1.23"
